%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Klopapier-Klasse für die Klozeitung der Stugen des FB 03  %
% Author: J. Winter
% Changes: S. Kuhlmann                                         %
% Releasedate: 2018-02-12                                   %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\ProvidesClass{KlopapierClass}[2018/02/12 v 0.1 Klopapier Klasse]
\LoadClass[12pt,a4paper,twocolumn]{article}

%%%%% Packages
%\RequirePackage
\RequirePackage[utf8]{inputenc}
%\RequirePackage{ucs}
\RequirePackage[ngerman]{babel}
\RequirePackage{lmodern}
\RequirePackage{amsmath,amsfonts,amssymb}
\RequirePackage{graphicx}
\RequirePackage{setspace}
\RequirePackage{hyperref}
\RequirePackage[left=1.6cm,right=1.5cm,top=1.1cm,bottom=5cm]{geometry}
\RequirePackage{hyperref}
\RequirePackage{framed}
\RequirePackage{csquotes} %\enquote{}
\RequirePackage[gen]{eurosym} % für Eurosymbole \euro und wieder auskommentieren
\RequirePackage[T1]{fontenc}
\RequirePackage{fancyhdr}
\RequirePackage{blindtext}
\RequirePackage{lipsum}
\RequirePackage{framed}
\RequirePackage{verbatimbox}
\RequirePackage{tikzsymbols}

%%%%% Definitions
\setlength{\parindent}{0ex}
\setlength{\headheight}{150pt}
\title{\huge{\textsf{Klozeitung}}}
\date{}
\pagestyle{fancy}

%%%%% Header
\lhead[]{\hspace{0.5cm} \LARGE \raisebox{-1cm}{\rotatebox{15}{sudo Lesen!}} \\ \normalsize \hspace*{-1em} \raisebox{-1cm}{\includegraphics[width=3cm, angle=100]{../bilder/andere/Drachenkurve.png}} \hspace{2cm}}
\chead[]{\raisebox{-1cm}{{\fontsize{50}{25} \selectfont \textsf{\textbf{Klopapier}}}}\\\rotatebox{-10}{${x}_{1,2}=-\left(\frac{p}{2}\right) \pm \sqrt{ \left(\frac{p}{2}\right)^{2}-q} $}}
\rhead[]{\large \raisebox{2.2cm}{\rotatebox{-5}{$\sum\limits_{k=0}^{n} \binom{n}{k} x^k y^{n-k}=\left(x+y\right)^n$}} \raisebox{1cm}{\includegraphics[width=4cm, angle=330]{../bilder/andere/mandelbrot.png}}\\[-1em] \raisebox{-1cm}{\rotatebox{10}{\texttt{01010111 01000011}}}}
\renewcommand{\headrulewidth}{0pt}

%%%%% Footer
% Aendern falls sich der V.i.S.d.P. aendert
\cfoot[]{\small V.i.S.d.P. Jessica Winter, Stugen des FB03, Bibliothekstr. 1 / MZH 1196, 28359 Bremen}
\renewcommand{\footrulewidth}{0pt}

%%%%% Environments
\newenvironment{termintabelle}{
\begin{framed}
\begin{center}
	\begin{Large}
		\textbf{Termine}\\[3mm]
	\end{Large}
\end{center}
\renewcommand{\arraystretch}{1.5}
\begin{tabular}{p{0.23\linewidth}p{0.22\linewidth}p{0.5\linewidth}}
}{
\end{tabular}
\end{framed}
}

%%%%% Commands
\newcommand{\textbau}[1]{
Moin liebe Leser*innen!\\[3mm]
{#1}\\[3mm]
% Viele Grüße\\
% Eure Klopapier-Redaktion
\newpage
}
%
\newcommand{\raetsel}[4]{
\begin{center}
	\begin{Large}
		\textit{#1}
	\end{Large}
%\vspace*{1em}
%\newline
\end{center}
{#2}
%Quelle: 
{#3}
%(Lösung gibt es im nächsten Klopapier)\\[1em]
\small{\textbf{Lösung des letzten Rätsels:\\}{#4}}}
%
\newcommand{\schluss}{\vspace*{0em}%{1em}
Mehr Infos findet ihr unter: \vspace*{-0.7em}
\begin{itemize}
\setlength{\itemsep}{-5pt}
	\item inf.stugen.de (\includegraphics[scale=0.01]{../bilder/andere/brief.png} inf@stugen.de)
	\item math.stugen.de (\includegraphics[scale=0.01]{../bilder/andere/brief.png} math@stugen.de)
	\item winf.stugen.de (\includegraphics[scale=0.01]{../bilder/andere/brief.png} winf@stugen.de)
\end{itemize} \vspace*{-2em}
\begin{flushright}
	\includegraphics[width=0.25\linewidth]{../bilder/logos/Bug.png} \quad
	\includegraphics[width=0.25\linewidth]{../bilder/logos/Lina.png} \quad
	\includegraphics[width=0.25\linewidth]{../bilder/logos/winf.png} 
\end{flushright}
}